package com.ygtx.web.controller.system;

import com.ygtx.common.core.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ygtx.common.config.RuoYiConfig;
import com.ygtx.common.utils.StringUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * 首页
 *
 * @author ruoyi
 */
@RestController
public class SysIndexController
{
    /** 系统基础配置 */
    @Autowired
    private RuoYiConfig ruoyiConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index()
    {
        return StringUtils.format("欢迎使用{}后台管理框架，当前版本：v{}，请通过前端地址访问。", ruoyiConfig.getName(), ruoyiConfig.getVersion());
    }

    /**
     * 获取设备统计数据
     */
    @GetMapping("/getAppInfo")
    public AjaxResult getAppInfo()
    {
        Map<String, String> appInfoMap = new HashMap<>();
        appInfoMap.put("name", ruoyiConfig.getName());
        appInfoMap.put("version", ruoyiConfig.getVersion());
        appInfoMap.put("copyrightYear", ruoyiConfig.getCopyrightYear());
        return AjaxResult.success(appInfoMap);
    }
}
